Bug 593645 - php-pear-Log uses deprecated functions
Summary: php-pear-Log uses deprecated functions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: php-pear-Log
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-19 11:54 UTC by Chris Northwood
Modified: 2010-06-03 18:06 UTC (History)
2 users (show)

Fixed In Version: php-pear-Log-1.12.0-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 740384 (view as bug list)
Environment:
Last Closed: 2010-06-03 18:06:56 UTC
Type: ---


Attachments (Terms of Use)

Description Chris Northwood 2010-05-19 11:54:06 UTC
Description of problem:

The current version of php-pear-Log in Fedora 12 is php-pear-Log-1.11.6-1.fc12.noarch, however using this version causes a deprecated warning in PHP. The latest version in Pear (1.12.0) has solved this problem, so the RPM just needs to be updated.

Version-Release number of selected component (if applicable):

php-pear-Log-1.11.6-1.fc12.noarch

How reproducible:

Always

Steps to Reproduce:
1. Attempt to use the Log package
2.
3.
  
Actual results:

Deprecation warning generated.

Expected results:

No deprecation warning generated.

Additional info:

Comment 1 Remi Collet 2010-05-19 15:37:48 UTC
Version 1.12.0 already available in F-13
I will push a update to F-12

Comment 2 Fedora Update System 2010-05-19 15:41:40 UTC
php-pear-Log-1.12.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/php-pear-Log-1.12.0-1.fc12

Comment 3 Fedora Update System 2010-05-20 18:40:48 UTC
php-pear-Log-1.12.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pear-Log'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/php-pear-Log-1.12.0-1.fc12

Comment 4 Fedora Update System 2010-06-03 18:06:49 UTC
php-pear-Log-1.12.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.